Name:           ircmsg
Version:        1.0.1
Release:        1%{?dist}
Summary:        A small C99-compatible IRC message parser and serializer

License:        MIT
URL:            https://github.com/sham1/ircmsg
Source0:        https://github.com/sham1/ircmsg/archive/%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson

%description
ircmsg is a small and portable low-level IRC parsing and serializing
library that is C99 compatible and IRCv3 compliant.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
%meson -Dtests=false
%meson_build


%install
%meson_install

%files
%license LICENSE
%doc README.md
%{_libdir}/*.so.*

%files devel
%doc docs/parser.md docs/serializer.md
%{_includedir}/ircmsg
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Sat Nov  9 2019 Jani Juhani Sinervo <jani@sinervo.fi> - 1.0.1-1
- Initial package
